Paytrie Developer Documentation
API ReferenceWebhook

Send a synthetic test webhook

POST
/webhook-configurations/test

Delivers a synthetic user.update envelope to the configured webhook URL. Useful for verifying that your endpoint is reachable and that signature verification is set up correctly.

Authorization

ApiKeyAuth
x-api-key<token>

API key for integrator authentication

In: header

Header Parameters

x-api-key*string

API key for authentication

Response Body

application/json

application/json

application/json

import { PaytrieAPI, configure } from '@paytrie/sdk'configure({ headers: { 'x-api-key': process.env.PAYTRIE_API_KEY! } })const { data } = await PaytrieAPI.sendTestWebhook()
{  "success": true,  "data": {    "eventId": "b3f1c2d4-5678-4abc-9012-3456789abcde",    "deliveredStatusCode": 200,    "deliveredStatusText": "OK"  }}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}
{  "success": false,  "errors": [    {      "field": "string",      "message": "string"    }  ]}